declare const _default: typeof __VLS_export;
export default _default;
declare const __VLS_export: import("vue").DefineComponent<{}, {}, {
    notificationDuration: number;
    notifications: any[];
    eventBus: {
        $on: (...args: any[]) => void;
        $off: (...args: any[]) => void;
        $emit: (...args: any[]) => void;
    };
}, {}, {
    showNotification(notification: any): void;
    closeNotification(notification: any): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
